Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.v200408
Class ReferenceParametersType

    java.lang.Object
      org.apache.cxf.ws.addressing.v200408.ReferenceParametersType

    public class ReferenceParametersType

extends java.lang.Object

Java class for ReferenceParametersType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReferenceParametersType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.util.List<java.lang.Object>` | `any`

Constructor Summary
`ReferenceParametersType()`

Method Summary
`java.util.List<java.lang.Object>` | `getAny()` Gets the value of the any property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### any

    protected java.util.List<java.lang.Object> any

Constructor Detail

### ReferenceParametersType

    public ReferenceParametersType()

Method Detail

### getAny

    public java.util.List<java.lang.Object> getAny()

  Gets the value of the any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Object` `Element`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF